import { uniqueId } from 'lodash'

/**
 * @description 给菜单数据补充上 path 字段
 * @description https://github.com/d2-projects/d2-admin/issues/209
 * @param {Array} menu 原始的菜单数据
 */
function supplementPath (menu) {
  return menu.map(e => ({
    ...e,
    path: e.path || uniqueId('d2-menu-empty-'),
    ...e.children ? {
      children: supplementPath(e.children)
    } : {}
  }))
}

export const menuAside = supplementPath([
  { path: '/index', title: '首页', icon: 'home' },
  {
    title: 'SCADA管理',
    children: [
      { path: '/scada_configure', title: 'SCADA节点配置' },
      { path: '/scada_query', title: 'SCADA数据查询' }
    ]
  },
  {
    title: '采集服务管理',
    children: [
      { path: '/edge_server_configure', title: '服务配置' },
      { path: '/edge_server_monitor', title: '服务监控' }
    ]
  }
])
